commit:     7b114ec0bb57acb005acfbe48c3c3b6eec07ba22
Author:     Karl-Johan Karlsson <creideiki <AT> lysator <DOT> liu <DOT> se>
AuthorDate: Sun Jan 25 13:51:56 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 28 15:13:09 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b114ec0

dev-python/pytest-salt-factories: add 1.0.5

Signed-off-by: Karl-Johan Karlsson <creideiki <AT> lysator.liu.se>
Part-of: https://github.com/gentoo/gentoo/pull/45516
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/pytest-salt-factories/Manifest          |  1 +
 .../pytest-salt-factories-1.0.5.ebuild             | 88 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/dev-python/pytest-salt-factories/Manifest 
b/dev-python/pytest-salt-factories/Manifest
index cda1c2e66546..8663b1a7fc41 100644
--- a/dev-python/pytest-salt-factories/Manifest
+++ b/dev-python/pytest-salt-factories/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-salt-factories-1.0.0_rc29.gh.tar.gz 168690 BLAKE2B 
d365cdef727e6ed0c0d2d06ce3c8731ddf67181d4d8386d106b7569c709fc5336529c72e907d44496463b47b18659376a64c79b08d45aaa5aa7d8d927a646db3
 SHA512 
7dd0e9d5bb6e4b292ef145f6fec770435f1cd23a07be67c98e155b1aa3a34bec1c542d97a6cae0302ad46e5c2f4e35eadb45bd7ea8979c05c6ddf1aacde9f755
 DIST pytest-salt-factories-1.0.1.gh.tar.gz 169610 BLAKE2B 
7f24d25ac9713204b3ba922aefbbb7e41de400128670eeba05679f85e6ee838ca8d595908ed442c8760e08be7c0041f936ee0ccfec651de767a4b660e47c136f
 SHA512 
598486f15f00654509a68b0a216d84e1f790b4b9a28c2fd85b809d357d030299db6137e1b15883dc682b3eaa4f29f47b76bd06c1d1a9994028dc0332af972991
+DIST pytest-salt-factories-1.0.5.gh.tar.gz 169829 BLAKE2B 
715818a9b79be5313aceb596b3046bea4cf3e44ad3c3682d24e558cba6664f03657d35856cb09dcc7f78dcd8043ab53e42ab1a2bb0a488b304c947f71a008a26
 SHA512 
33e9d58f57b64f3d9edce401cecd526ede0365c1991c0ea2e5263a131601425eca5cd4e71a7b82415f4ce6b078fd0f913c2e14fdf63e0b1edbab364c69d574d4

diff --git 
a/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.5.ebuild 
b/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.5.ebuild
new file mode 100644
index 000000000000..ee84986567cb
--- /dev/null
+++ b/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.5.ebuild
@@ -0,0 +1,88 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_12 )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="The new generation of the pytest-salt Plugin"
+HOMEPAGE="
+       https://github.com/saltstack/pytest-salt-factories/
+       https://pypi.org/project/pytest-salt-factories/
+"
+SRC_URI="
+       
https://github.com/saltstack/pytest-salt-factories/archive/${PV//_/}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${P//_/}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+       dev-python/attrs[${PYTHON_USEDEP}]
+       dev-python/docker[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+       >=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+       dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+       dev-python/pytest-skip-markers[${PYTHON_USEDEP}]
+       dev-python/pytest-system-statistics[${PYTHON_USEDEP}]
+       >=dev-python/pytest-shell-utilities-1.4.0[${PYTHON_USEDEP}]
+       dev-python/pyzmq[${PYTHON_USEDEP}]
+       dev-python/msgpack[${PYTHON_USEDEP}]
+       dev-python/virtualenv[${PYTHON_USEDEP}]
+       >=app-admin/salt-3005.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/importlib-metadata[${PYTHON_USEDEP}]
+               dev-python/pyfakefs[${PYTHON_USEDEP}]
+               dev-python/pytest-subtests[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+       sed -i -e 's:helpers_namespace:pytest_&.plugin:' tests/conftest.py || 
die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               
"tests/functional/test_manager.py::test_system_service_cli[system-service(True)]"
+               
"tests/functional/test_manager.py::test_system_service_config_fixture[system-service(True)]"
+               
tests/integration/factories/daemons/ssh/test_salt_ssh.py::test_salt_ssh
+               
tests/integration/factories/daemons/sshd/test_sshd.py::test_connect
+               tests/scenarios/examples/test_echoext.py::test_echoext
+       )
+
+       local ret tempdir x
+       # ${T} is too long a path for the tests to work
+       tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)" || die
+       addwrite "${tempdir}"
+
+       local -x SHELL="/bin/bash" TMPDIR="${tempdir}"
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x PYTEST_PLUGINS=saltfactories.plugins
+       PYTEST_PLUGINS+=,pytest_helpers_namespace.plugin
+       PYTEST_PLUGINS+=,pytestsysstats.plugin
+       PYTEST_PLUGINS+=,pytest_subtests
+       for x in factories markers sysinfo event_listener log_server loader
+       do
+               PYTEST_PLUGINS+=,saltfactories.plugins.${x}
+       done
+
+       nonfatal epytest --no-sys-stats
+       ret=${?}
+
+       rm -rf "${tempdir}" || die
+       [[ ${ret} -ne 0 ]] && die "Tests failed with ${EPYTHON}"
+}

Reply via email to